apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
  namespace: __CI_ENVIRONMENT_SLUG__
  annotations:
    # letsencrypt support enabled (github.com/jetstack/kube-lego)
    kubernetes.io/tls-acme: "true"
    # use the Kubernetes ingress "nginx"
    kubernetes.io/ingress.class: "nginx"
spec:
 tls:
  - hosts:
    - api.lendingkart.com
    secretName: tls-certificate
 rules:
  - host: api.lendingkart.com
    http:
      paths:
      - path: /__PROJECT_NAME__/actuator/
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: __MANAGEMENT_PORT__
      - path: /internal/v1/leads/
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: /
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80